/******************************************************************************
 JPtrQueue.h

	Interface for JPtrQueue class

	Copyright © 1996-97 John Lindal. All rights reserved.

 ******************************************************************************/

#ifndef _H_JPtrQueue
#define _H_JPtrQueue

#include <JQueue.h>

template <class S, class T>
class JPtrQueue : public JQueue<S,T>
{
public:

	JPtrQueue();

	void	FlushDelete();
	void	DiscardDelete(const JSize numToDiscard);
};

#endif
